package com.sy.coinage.app.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class CheckInfoReq {

    @ApiModelProperty(value = "抽检单号(唯一标识)", required = true)
    @NotBlank(message = "抽检单号(唯一标识)不能为空")
    @Length(max = 20, message = "抽检单号(唯一标识)长度20不正确")
    private String orderNo;

    @ApiModelProperty(value = "操作类型:2:车间抽检单入剔除品库确认 （对应shop_receive_list字段）\n" +
            "3:车间抽检单剔除品到机台确认（对应shop_out_machine_list）\n" +
            "4:车间抽检单机台到产成品库确认（对应shop_in_pro_list）\n" +
            "5:车间抽检单产成品库出库确认（对应shop_out_list）\n" +
            "6:主库抽检单返回入库确认（对应ware_in_list）\n" +
            "9: 车间抽检机台返回剔除品库（很少发生，即没处理又返回剔除品库位了。只需将入库的冠字号，在", required = true)
    @NotNull(message = "操作类型不能为空")
    private Integer opType;

}
