package com.sy.coinage.util.printer;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serializable;

/**
 *   rfid 标签页面打印的数据传输对象
 */
@Data
public class RfidInfoDTO implements Serializable {

    /**
     * 品名
     */
    @ApiModelProperty(value = "品名", required = true)
    @NotBlank(message = "品名不能为空")
    private String securities;

    /**
     * 编号
     */
    @ApiModelProperty(value = "编号", required = true)
    @NotBlank(message = "编号不能为空")
    private String serialNumber;

    /**
     * 冠字号范围（当多条时，将后面添加 + 号）
     */
    @ApiModelProperty(value = "冠字号范围", required = true)
    @NotBlank(message = "冠字号范围不能为空")
    private String crownBetween;


    /**
     *  皮重 ： ${xx.xx}
     */
    @ApiModelProperty(value = "皮重", required = true)
    @NotBlank(message = "皮重不能为空")
    private String tareWeight;

    /**
     * 毛重： ${xx.xx}
     */
    @ApiModelProperty(value = "毛重", required = true)
    @NotBlank(message = "毛重不能为空")
    private String grossWeight;

    /**
     * 称重人
     */
    @ApiModelProperty(value = "称重人", required = true)
    @NotBlank(message = "称重人不能为空")
    private String weightor;

    /**
     * 称重日期  yyyy-MM-dd
     */
    @ApiModelProperty(value = "称重日期 yyyy-MM-dd", required = true)
    @NotBlank(message = "称重日期不能为空")
    private String weightDate;

    /**
     *  将要写入rfid标签的Epc内容
     */
    @ApiModelProperty(value = "EPC码值", required = true)
    @NotBlank(message = "EPC码值不能为空")
    private String rfidEpc;

    /**
     *  称重时间
     */
    @ApiModelProperty(value = "称重时间 hh:mm:ss", required = true)
    @NotBlank(message = "称重时间不能为空")
    private String weightTime;
}
