package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;

/**
 * -实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("rfid_check_detail")
@ApiModel(value = "对象", description = "")
public class CheckDetail implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * -id -10
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * -抽检ID -10
     */
    @ApiModelProperty(value = "抽检ID")
    @TableField(value = "check_id")
    private Integer checkId;
    /**
     * -rfid -12
     */
    @ApiModelProperty(value = "rfid")
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -产品编号 -10
     */
    @ApiModelProperty(value = "产品编号")
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -初始创建的冠字号列表 -100
     */
    @ApiModelProperty(value = "初始创建的冠字号列表")
    @TableField(value = "ware_init_list")
    private String wareInitList;
    /**
     * -车间接收主库入库的时间 -19
     */
    @ApiModelProperty(value = "车间接收主库入库的时间")
    @TableField(value = "shop_receive_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date shopReceiveTime;
    /**
     * -车间抽检单操作人 -20
     */
    @ApiModelProperty(value = "车间抽检单操作人")
    @TableField(value = "shop_receive_oper_cn")
    private String shopReceiveOperCn;
    /**
     * -车间抽检单复核人 -20
     */
    @ApiModelProperty(value = "车间抽检单复核人")
    @TableField(value = "shop_receive_check")
    private String shopReceiveCheck;
    /**
     * -车间接收主库的冠字号列表 -100
     */
    @ApiModelProperty(value = "车间接收主库的冠字号列表")
    @TableField(value = "shop_receive_list", updateStrategy = FieldStrategy.DEFAULT)
    private String shopReceiveList;
    /**
     * -车间剔除品库出库到机台 -19
     */
    @ApiModelProperty(value = "车间剔除品库出库到机台")
    @TableField(value = "shop_out_machine_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date shopOutMachineTime;
    /**
     * -shopOutMachineOperCn -20
     */
    @ApiModelProperty(value = "shopOutMachineOperCn")
    @TableField(value = "shop_out_machine_oper_cn")
    private String shopOutMachineOperCn;
    /**
     * -shopOutMachineCheck -20
     */
    @ApiModelProperty(value = "shopOutMachineCheck")
    @TableField(value = "shop_out_machine_check")
    private String shopOutMachineCheck;
    /**
     * -剔除品出库到机台的箱子列表 -100
     */
    @ApiModelProperty(value = "剔除品出库到机台的箱子列表")
    @TableField(value = "shop_out_machine_list", updateStrategy = FieldStrategy.DEFAULT)
    private String shopOutMachineList;
    /**
     * -机台到临时库产成品库位时间 -19
     */
    @ApiModelProperty(value = "机台到临时库产成品库位时间")
    @TableField(value = "shop_in_pro_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date shopInProTime;
    /**
     * -shopInProOperCn -20
     */
    @ApiModelProperty(value = "shopInProOperCn")
    @TableField(value = "shop_in_pro_oper_cn")
    private String shopInProOperCn;
    /**
     * -车间机台进成品库复核员 -20
     */
    @ApiModelProperty(value = "车间机台进成品库复核员")
    @TableField(value = "shop_in_pro_check")
    private String shopInProCheck;
    /**
     * -车间机台进车间抽检箱子列表 -100
     */
    @ApiModelProperty(value = "车间机台进车间抽检箱子列表")
    @TableField(value = "shop_in_pro_list", updateStrategy = FieldStrategy.DEFAULT)
    private String shopInProList;
    /**
     * -抽检车间出库确认时间 -19
     */
    @ApiModelProperty(value = "抽检车间出库确认时间")
    @TableField(value = "shop_out_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date shopOutTime;
    /**
     * -车间出库操作人 -20
     */
    @ApiModelProperty(value = "车间出库操作人")
    @TableField(value = "shop_out_oper_cn")
    private String shopOutOperCn;
    /**
     * -车间出库复核人 -20
     */
    @ApiModelProperty(value = "车间出库复核人")
    @TableField(value = "shop_out_check")
    private String shopOutcheck;
    /**
     * -抽检车间出库返回主库列表 -100
     */
    @ApiModelProperty(value = "抽检车间出库返回主库列表")
    @TableField(value = "shop_out_list", updateStrategy = FieldStrategy.DEFAULT)
    private String shopOutList;
    /**
     * -wareInTime -19
     */
    @ApiModelProperty(value = "wareInTime")
    @TableField(value = "ware_in_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date wareInTime;
    /**
     * -wareInOperCn -20
     */
    @ApiModelProperty(value = "wareInOperCn")
    @TableField(value = "ware_in_oper_cn")
    private String wareInOperCn;
    /**
     * -wareInCheck -20
     */
    @ApiModelProperty(value = "wareInCheck")
    @TableField(value = "ware_in_check")
    private String wareInCheck;
    /**
     * -wareInList -100
     */
    @ApiModelProperty(value = "wareInList")
    @TableField(value = "ware_in_list")
    private String wareInList;
}
