package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;

/**
 * -实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("rfid_delivery_detail")
@ApiModel(value = "对象", description = "")
public class DeliveryDetail implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * -id -10
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * -发货单ID -10
     */
    @ApiModelProperty(value = "发货单ID")
    @TableField(value = "delivery_id")
    private Integer deliveryId;
    /**
     * -rfid -12
     */
    @ApiModelProperty(value = "rfid")
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -编号 -20
     */
    @ApiModelProperty(value = "编号")
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -冠字号范围，字符串表示,用于页面显示。 -100
     */
    @ApiModelProperty(value = "冠字号范围，字符串表示,用于页面显示。")
    @TableField(value = "crown_between_str")
    private String crownBetweenStr;
    /**
     * -不含中文的，用户判断箱号的格式化字符串（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007) -100
     */
    @ApiModelProperty(value = "不含中文的，用户判断箱号的格式化字符串（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007)")
    @TableField(value = "crown_between")
    private String crownBetween;
    /**
     * -皮重 -10
     */
    @ApiModelProperty(value = "皮重")
    @TableField(value = "tare_weight")
    private Double tareWeight;
    /**
     * -毛重 -10
     */
    @ApiModelProperty(value = "毛重")
    @TableField(value = "gross_weight")
    private Double grossWeight;
    /**
     * -称重人id -10
     */
    @ApiModelProperty(value = "称重人id")
    @TableField(value = "weightor_id")
    private Integer weightorId;
    /**
     * -称重人 -20
     */
    @ApiModelProperty(value = "称重人")
    @TableField(value = "weightor")
    private String weightor;
    /**
     * -打印时间 -19
     */
    @ApiModelProperty(value = "打印时间")
    @TableField(value = "print_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date printTime;
    /**
     * -发货时间 -19
     */
    @ApiModelProperty(value = "发货时间")
    @TableField(value = "delivery_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date deliveryTime;
    /**
     * -删除标记 1:未删除 2:已删除 -10
     */
    @ApiModelProperty(value = "删除标记 1:未删除 2:已删除")
    @TableField(value = "del_flag")
    private Integer delFlag;
    /**
     * -登记类型： 1: 扫描登记 2: 手动登记 -10
     */
    @ApiModelProperty(value = "登记类型： 1: 扫描登记  2: 手动登记")
    @TableField(value = "reg_flag")
    private Integer regFlag;
    /**
     * -冗余字端：是否整拍 1:是整拍 2:是拆拍 -10
     */
    @ApiModelProperty(value = "冗余字端：是否整拍 1:是整拍 2:是拆拍")
    @TableField(value = "is_whole")
    private Integer isWhole;
    /**
     * -冗余字端：拆拍拍子上箱子的数量 -10
     */
    @ApiModelProperty(value = "冗余字端：拆拍拍子上箱子的数量")
    @TableField(value = "qty")
    private Integer qty;

    @ApiModelProperty(value = "临时库，主库一，主库二")
    @TableField(value = "ware_id")
    private Integer wareId;

    @ApiModelProperty(value = "复核人（付出人2）")
    @TableField(select = false, exist = false)
    private String checker;

    @ApiModelProperty(value = "品名")
    @TableField(select = false, exist = false)
    private String securities;

    @ApiModelProperty(value = "部门名称")
    @TableField(select = false, exist = false)
    private String dept;

    @ApiModelProperty(value = "操作人名称（付出人1）")
    @TableField(value = "operator", select = false, exist = false)
    private String operator;

//    @ApiModelProperty(value = "称重日期")
//    @TableField(value = "weight_date", select = false, exist = false)
//    @JSONField(format = "yyyy-MM-dd")
//    private Date weightDate;
//
//    @ApiModelProperty(value = "称重时间 hh:mm:ss")
//    @TableField(value = "weight_time", select = false, exist = false)
//    private String weightTime;

}
