package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("rfid_delivery_plan_detail")
@ApiModel(value = "实体类", description = "")
public class DeliveryPlanDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "发货计划ID")
    @TableField(value = "plan_id")
    private Integer planId;

    @ApiModelProperty(value = " rfid:冗余字段:分配计划时，还没有rfid.")
    @TableField(value = "rfid")
    private String rfid;

    @ApiModelProperty(value = "编号")
    @TableField(value = "serial_number")
    private String serialNumber;

    @ApiModelProperty(value = "冠字号号段字符串（eg:佰21伍003-0921-佰21伍003-0980）")
    @TableField(value = "crown_between_str")
    private String crownBetweenStr;

    @ApiModelProperty(value = "拍子类型1:整拍 2: 前  3:后(由拍子类型、数量决定拍子取的箱子)")
    @TableField(value = "type")
    private Integer type;

    @ApiModelProperty(value = "箱子数量")
    @TableField(value = "qty")
    private Integer qty;

    @ApiModelProperty(value = "皮重")
    @TableField(value = "tare_weight")
    private Double tareWeight;

    @ApiModelProperty(value = "毛重")
    @TableField(value = "gross_weight")
    private Double grossWeight;

    @ApiModelProperty(value = "称重人ID")
    @TableField(value = "weightor_id")
    private Integer weightorId;

    @ApiModelProperty(value = "称重人")
    @TableField(value = "weightor")
    private String weightor;

    @ApiModelProperty(value = "打印时间")
    @TableField(value = "print_time")
    @JSONField(format = "yyyy-MM-dd")
    private Date printTime;

    @ApiModelProperty(value = "冠字号起始号（eg:003-2121）")
    @TableField(value = "crown_from")
    private String crownFrom;

    @ApiModelProperty(value = "冠字号结束号(eg:003-2121）")
    @TableField(value = "crown_to")
    private String crownTo;
}
