package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;

/**
 * -车间入库单（仅记录入库单，及返检单）实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("rfid_workshop_entry")
@ApiModel(value = "车间入库单（仅记录入库单，及返检单）对象", description = "车间入库单（仅记录入库单，及返检单）")
public class WorkshopEntry implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * -主键ID -10
     */
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * -入库单单号，当是机台入库的。 -20
     */
    @ApiModelProperty(value = "入库单单号，当是机台入库的。")
    @TableField(value = "order_no")
    private String orderNo;
    /**
     * -1.车间入库 -10
     */
    @ApiModelProperty(value = "1.车间入库")
    @TableField(value = "order_type")
    private Integer orderType;
    /**
     * -品名ID -10
     */
    @ApiModelProperty(value = "品名ID")
    @TableField(value = "securities_id")
    private Integer securitiesId;
    /**
     * -品名 -60
     */
    @ApiModelProperty(value = "品名")
    @TableField(value = "securities")
    private String securities;
    /**
     * -整拍子数量 -10
     */
    @ApiModelProperty(value = "整拍子数量")
    @TableField(value = "racket_num")
    private Integer racketNum;
    /**
     * -拍子总枚数（拍子数量*每拍子箱子数量*每箱子枚数） -10
     */
    @ApiModelProperty(value = "拍子总枚数（拍子数量*每拍子箱子数量*每箱子枚数）")
    @TableField(value = "racket_total")
    private Integer racketTotal;
    /**
     * -零箱数 -10
     */
    @ApiModelProperty(value = "零箱数")
    @TableField(value = "box_num")
    private Integer boxNum;
    /**
     * -箱子含有总枚数（箱子数量*每箱枚数） -10
     */
    @ApiModelProperty(value = "箱子含有总枚数（箱子数量*每箱枚数）")
    @TableField(value = "box_total")
    private Integer boxTotal;
    /**
     * -零枚数量 -10
     */
    @ApiModelProperty(value = "零枚数量")
    @TableField(value = "pieces_total")
    private Integer piecesTotal;
    /**
     * -入库时间 -19
     */
    @ApiModelProperty(value = "入库时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -操作人ID -10
     */
    @ApiModelProperty(value = "操作人ID")
    @TableField(value = "operator_id")
    private Integer operatorId;
    /**
     * -操作人姓名 -20
     */
    @ApiModelProperty(value = "操作人姓名")
    @TableField(value = "operator_cn")
    private String operatorCn;
    /**
     * -复核人id -10
     */
    @ApiModelProperty(value = "复核人id")
    @TableField(value = "check_id")
    private Integer checkId;

    @ApiModelProperty(value = "复核人")
    @TableField(value = "checker")
    private String checker;

    @ApiModelProperty(value = "目的地部门")
    @TableField(value = "dept")
    private String dept;

    @ApiModelProperty(value = "目的地部门ID")
    @TableField(value = "dept_id")
    private Integer deptId;

}
