package com.sy.coinage.workshop.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;

/**
 * -实体类
 */
@Data
@EqualsAndHashCode(callSuper = false)

@TableName("rfid_workshop_entry_detail")
@ApiModel(value = "对象", description = "")
public class WorkshopEntryDetail implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * -id -10
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * -入库单ID -10
     */
    @ApiModelProperty(value = "入库单ID")
    @TableField(value = "entry_id")
    private Integer entryId;
    /**
     * -明细类型（每个拍子一条记录；零箱,零枚可能有一条记录） 1: 整拍 2: 零箱 3:零枚 -10
     */
    @ApiModelProperty(value = "明细类型（每个拍子一条记录；零箱,零枚可能有一条记录） 1: 整拍 2: 零箱 3:零枚")
    @TableField(value = "type")
    private Integer type;
    /**
     * -rfidEPC码:唯一对应 -12
     */
    @ApiModelProperty(value = "rfidEPC码:唯一对应")
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -编号 -20
     */
    @ApiModelProperty(value = "编号")
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -皮重 -10
     */
    @ApiModelProperty(value = "皮重")
    @TableField(value = "tare_weight")
    private Double tareWeight;
    /**
     * -毛重 -10
     */
    @ApiModelProperty(value = "毛重")
    @TableField(value = "gross_weight")
    private Double grossWeight;
    /**
     * -称重人id -10
     */
    @ApiModelProperty(value = "称重人id")
    @TableField(value = "weightor_id")
    private Integer weightorId;
    /**
     * -称重人 -20
     */
    @ApiModelProperty(value = "称重人")
    @TableField(value = "weightor")
    private String weightor;

    @ApiModelProperty(value = "称重日期")
    @TableField(value = "weight_date", select = false, exist = false)
    @JSONField(format = "yyyy-MM-dd")
    private Date weightDate;

    @ApiModelProperty(value = "称重时间 yyyy-MM-dd HH:mm:ss")
    @TableField(value = "weight_time")
    private Date weightTime;
    /**
     * -将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示 -100
     */
    @ApiModelProperty(value = "将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示")
    @TableField(value = "crown_between_str")
    private String crownBetweenStr;
    /**
     * -冠字号范围：@开头的表示冠字号段 #开头的表示各个单独的冠字号（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007) -100
     */
    @ApiModelProperty(value = "冠字号范围：@开头的表示冠字号段 #开头的表示各个单独的冠字号（eg:@003-4970,003-5000;）(eg:#003-0005,003-0007)")
    @TableField(value = "crown_between")
    private String crownBetween;
    /**
     * -容器数量（拍子就是1，零箱的就是多少箱） -10
     */
    @ApiModelProperty(value = "容器数量（拍子就是1，零箱的就是多少箱）")
    @TableField(value = "qty")
    private Integer qty;
    /**
     * -枚数总数 -10
     */
    @ApiModelProperty(value = "枚数总数")
    @TableField(value = "qty_total")
    private Integer qtyTotal;
    /**
     * -车间内部状态：1.处于产成品库 2.处于剔除品库 3.上机台4.发往主库 -10
     */
    @ApiModelProperty(value = "车间内部状态：1.处于产成品库 2.处于剔除品库 3.上机台4.发往主库")
    @TableField(value = "status")
    private Integer status;
    /**
     * -临时库库位ID -10
     */
    @ApiModelProperty(value = "临时库库位ID ")
    @TableField(value = "area_id")
    private Integer areaId;

    @ApiModelProperty(value = "入库时间")
    @TableField(value = "create_time", select = false, exist = false)
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "操作人姓名")
    @TableField(value = "operator_cn", select = false, exist = false)
    private String operatorCn;

    @ApiModelProperty(value = "复核人姓名")
    @TableField(value = "checker", select = false, exist = false)
    private String checker;

    /**
     * -品名 -60
     */
    @ApiModelProperty(value = "品名")
    @TableField(value = "securities", select = false, exist = false)
    private String securities;

    @ApiModelProperty(value = "部门名称")
    @TableField(select = false, exist = false)
    private String dept;

}
