package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -抽检登记信息列表查询请求bean
 */
@Getter
@Setter
public class CheckBackupListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -Epc码值 -12
     */
    @ApiModelProperty(value = "Epc码值")
    private String rfid;
    /**
     * -编号 -20
     */
    @ApiModelProperty(value = "编号")
    private String serialNumber;
    /**
     * -抽检箱子数量 -10
     */
    @ApiModelProperty(value = "抽检箱子数量")
    private Integer qty;
    /**
     * -冠字号列表,用逗号分隔 -255
     */
    @ApiModelProperty(value = "冠字号列表,用逗号分隔")
    private String crownList;
    /**
     * -抽检时间 -19
     */
    @ApiModelProperty(value = "抽检时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;
    /**
     * -抽检操作人 -20
     */
    @ApiModelProperty(value = "抽检操作人")
    private String checkOperatorCn;
    /**
     * -抽检复核人 -20
     */
    @ApiModelProperty(value = "抽检复核人")
    private String checker;
    /**
     * -车前抽检入库确认 -19
     */
    @ApiModelProperty(value = "车前抽检入库确认")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date workshopCheckInTime;
    /**
     * -车间确认抽检入库操作人 -20
     */
    @ApiModelProperty(value = "车间确认抽检入库操作人")
    private String workshopCheckInOperatorCn;
    /**
     * -车间抽检确认入库复核人 -20
     */
    @ApiModelProperty(value = "车间抽检确认入库复核人")
    private String workshopCheckInCn;
    /**
     * -抽检车间出库确认时间 -19
     */
    @ApiModelProperty(value = "抽检车间出库确认时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date workshopCheckOutTime;
    /**
     * -车间抽检出库操作人 -20
     */
    @ApiModelProperty(value = "车间抽检出库操作人")
    private String workshopCheckOutOperatorCn;
    /**
     * -车间抽检出库复核人 -20
     */
    @ApiModelProperty(value = "车间抽检出库复核人")
    private String workshopCheckOutCn;
    /**
     * -抽检返回时间 -19
     */
    @ApiModelProperty(value = "抽检返回时间")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date checkBackTime;
    /**
     * -抽检返回操作人 -20
     */
    @ApiModelProperty(value = "抽检返回操作人")
    private String checkBackOperatorCn;
    /**
     * -主库抽检返回确认复核人 -20
     */
    @ApiModelProperty(value = "主库抽检返回确认复核人")
    private String checkBackCn;
    /**
     * -抽检登记: 1.库房抽检 2:车间抽检入库3.车间抽检出库4库房抽检返回确认 -10
     */
    @ApiModelProperty(value = "抽检登记: 1.库房抽检 2:车间抽检入库3.车间抽检出库4库房抽检返回确认")
    private Integer status;
    /**
     * -抽检返回的冠字号，多个用分号分隔 -255
     */
    @ApiModelProperty(value = "抽检返回的冠字号，多个用分号分隔")
    private String returnCrownList;
    /**
     * -冠字号前缀 -10
     */
    @ApiModelProperty(value = "冠字号前缀")
    private String crownPrefix;
    /**
     * -仓库编号ID:主库的区域 -10
     */
    @ApiModelProperty(value = "仓库编号ID:主库的区域")
    private String wareId;
    /**
     * -仓库名称 -20
     */
    @ApiModelProperty(value = "仓库名称")
    private String wareCn;
    /**
     * -目的地部门 -10
     */
    @ApiModelProperty(value = "目的地部门")
    private Integer deptId;
    /**
     * -目的地部门名称 -20
     */
    @ApiModelProperty(value = "目的地部门名称")
    private String dept;
    /**
     * -临时库库位区域：1:产成品区域2剔除品库区域（抽检单确认后默认选择2） -10
     */
    @ApiModelProperty(value = "临时库库位区域：1:产成品区域2剔除品库区域（抽检单确认后默认选择2） ")
    private Integer areaId;

}
