package com.sy.coinage.workshop.req;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.sy.coinage.core.interceptor.Update;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * -产品表添加请求bean
 */
@Data
public class ProductPlanReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull(message = "id不能为空", groups = {Update.class})
    @Range(min = 1, groups = {Update.class})
    private Integer id;

    @ApiModelProperty(value = "冠字号起始")
    @NotBlank(message = "开始冠字号不能为空")
    private String crownFrom;

    @ApiModelProperty(value = "冠字号结束点")
    @NotBlank(message = "结束冠字号不能为空")
    private String crownTo;

    @ApiModelProperty(value = "id")
    @NotNull(message = "产品id不能为空")
    private Integer productId;

}
