package com.sy.coinage.workshop.req;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import com.sy.coinage.core.req.PageReq;
import lombok.Getter;
import lombok.Setter;

/**
 * -列表查询请求bean
 */
@Getter
@Setter
public class WorkshopTransferDetailListReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -迁移主表ID -10
     */
    @ApiModelProperty(value = "迁移主表ID")
    private Integer transferId;
    /**
     * -明细类型（每个拍子一条记录；零箱,零枚可能有一条记录） 1: 整拍 2: 零箱 3:零枚 -10
     */
    @ApiModelProperty(value = "明细类型（每个拍子一条记录；零箱,零枚可能有一条记录） 1: 整拍 2: 零箱 3:零枚")
    private Integer type;
    /**
     * -rfid -12
     */
    @ApiModelProperty(value = "rfid")
    private String rfid;
    /**
     * -产品编号 -20
     */
    @ApiModelProperty(value = "产品编号")
    private String serialNumber;
    /**
     * -容器数量（拍子类型就是1，零箱类型是几箱，零枚就是总枚数） -10
     */
    @ApiModelProperty(value = "容器数量（拍子类型就是1，零箱类型是几箱，零枚就是总枚数）")
    private Integer qty;
    /**
     * -枚数总数 -10
     */
    @ApiModelProperty(value = "枚数总数")
    private Integer qtyTotal;
    /**
     * -将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示 -100
     */
    @ApiModelProperty(value = "将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示")
    private String crownBetweenStr;

}
