package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * DeliveryJump响应bean
 */
@Data
public class DeliveryJumpVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    @ApiModelProperty(value = "发货计划ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "delivery_plan_id")
    private Integer deliveryPlanId;
    @ApiModelProperty(value = "品名ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities_id")
    private Integer securitiesId;
    @ApiModelProperty(value = "品名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities")
    private String securities;
    @ApiModelProperty(value = "拍号区间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number_between")
    private String serialNumberBetween;
    @ApiModelProperty(value = "起始拍号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number_start")
    private String serialNumberStart;
    @ApiModelProperty(value = "结束拍号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number_end")
    private String serialNumberEnd;
    @ApiModelProperty(value = "创建时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_time")
    @JSONField(format = "yyyy-MM-dd")
    private Date createTime;
    @ApiModelProperty(value = "创建人")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "creator")
    private String creator;
    @ApiModelProperty(value = "是否启用  1:启用 2:停用")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "enable")
    private Integer enable;
    @ApiModelProperty(value = "生命周期状态: 0:初始创建 1:（开始跳号）跳号中 2:结束跳号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "status")
    private Integer status;
}
