package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
 * WorkshopTransferDetail查询响应bean
 */
@Data
public class WorkshopTransferDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -id
     */
    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -迁移主表ID
     */
    @ApiModelProperty(value = "迁移主表ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "transfer_id")
    private Integer transferId;
    /**
     * -明细类型（每个拍子一条记录；零箱,零枚可能有一条记录） 1: 整拍 2: 零箱 3:零枚
     */
    @ApiModelProperty(value = "明细类型（每个拍子一条记录；零箱,零枚可能有一条记录） 1: 整拍 2: 零箱 3:零枚")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "type")
    private Integer type;
    /**
     * -rfid
     */
    @ApiModelProperty(value = "rfid")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "rfid")
    private String rfid;
    /**
     * -产品编号
     */
    @ApiModelProperty(value = "产品编号")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "serial_number")
    private String serialNumber;
    /**
     * -容器数量（拍子类型就是1，零箱类型是几箱，零枚就是总枚数）
     */
    @ApiModelProperty(value = "容器数量（拍子类型就是1，零箱类型是几箱，零枚就是总枚数）")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "qty")
    private Integer qty;
    /**
     * -枚数总数
     */
    @ApiModelProperty(value = "枚数总数")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "qty_total")
    private Integer qtyTotal;
    /**
     * -将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示
     */
    @ApiModelProperty(value = "将rfid对应的冠字号范围，拼装成字符串，保存在此字端，用于页面展示")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "crown_between_str")
    private String crownBetweenStr;
}
