package com.sy.coinage.workshop.vo;

import com.sy.coinage.core.annotation.FastJsonFieldProfile;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.Data;

/**
 * WorkshopTransfer查询响应bean
 */
@Data
public class WorkshopTransferVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * -id
     */
    @ApiModelProperty(value = "id")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "id")
    private Integer id;
    /**
     * -操作类型1:产成品到剔除品库位 2: 剔除品库位到机台
     */
    @ApiModelProperty(value = "操作类型1:产成品到剔除品库位 2: 剔除品库位到机台")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "op_type")
    private Integer opType;
    /**
     * -操作时间
     */
    @ApiModelProperty(value = "操作时间")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "create_time")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * -操作人ID
     */
    @ApiModelProperty(value = "操作人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator_id")
    private Integer operatorId;
    /**
     * -操作人名称
     */
    @ApiModelProperty(value = "操作人名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "operator_cn")
    private String operatorCn;
    /**
     * -复核人ID
     */
    @ApiModelProperty(value = "复核人ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "check_id")
    private Integer checkId;
    /**
     * -复核人姓名
     */
    @ApiModelProperty(value = "复核人姓名")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "checker")
    private String checker;
    /**
     * -品类ID
     */
    @ApiModelProperty(value = "品类ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities_id")
    private Integer securitiesId;
    /**
     * -品类名称
     */
    @ApiModelProperty(value = "品类名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "securities")
    private String securities;
    /**
     * -部门名称
     */
    @ApiModelProperty(value = "部门名称")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept")
    private String dept;
    /**
     * -部门ID
     */
    @ApiModelProperty(value = "部门ID")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "dept_id")
    private Integer deptId;

    @ApiModelProperty(value = "拍子总数")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "racket_num")
    private Integer racketNum;

    @ApiModelProperty(value = "零箱数")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "box_num")
    private Integer boxNum;
    /**
     * -零枚数
     */
    @ApiModelProperty(value = "零枚数")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "pieces_total")
    private Integer piecesTotal;
    /**
     * -1:产成品库2:剔除品库3机台
     */
    @ApiModelProperty(value = "1:产成品库2:剔除品库3机台")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "loc_from")
    private Integer locFrom;
    /**
     * -1:产成品库2:剔除品库3机台
     */
    @ApiModelProperty(value = "1:产成品库2:剔除品库3机台")
    @FastJsonFieldProfile(groups = {"list", "get"})
    @TableField(value = "loc_to")
    private Integer locTo;
}
